using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace TRK
{
    public class TRK
    {
        public static void Main()
        {

          CategoryBuilder.Create("TRK", "", ModAPI.LoadSprite("Texture/InGameIcon2.png"));


          //Armored helmet Altyn
          ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Rod"),
                  NameOverride = "Armored helmet Altyn(With visor installed).",
      DescriptionOverride = "Altyn has passed real combat tests in Afghanistan and Chechnya and is still in service with the Ministry of Internal Affairs of the Russian Federation and army special forces."+"\n <color=orange>Armor class: 5.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/Altyn_Icon.png"),
                  AfterSpawn = (Instance) =>
                  {
          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/altynv5.png");
                      ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
          Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.03f;
          armor.stabResistance = 1200f;
          armor.armorPiece = "Head";

          Instance.FixColliders();
       }
    }
);

           //Armored helmet Altyn
            ModAPI.Register(
            new Modification()
          {

        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Helmet Mask-1Sch (Killa).",
        DescriptionOverride = "Protective helmet (Mask-1) appeared in service in 1991, as a replacement for the helmet (Sphere). Killa's personal helmet."+"\n <color=yellow>Armor class: 4.",
        CategoryOverride = ModAPI.FindCategory("TRK"),
        ThumbnailOverride = ModAPI.LoadSprite("View/KillaMask_Icon.png"),
        AfterSpawn = (Instance) =>
        {
          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/Killa mask.png");
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.035f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.035f;
            Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.035f;
            armor.stabResistance = 1000f;
            armor.armorPiece = "Head";

            Instance.FixColliders();
          }
      }
  );
                      //ULACH_black
                      ModAPI.Register(
                      new Modification()
                     {
                        OriginalItem = ModAPI.FindSpawnable("Rod"),
                        NameOverride = "Highcom Striker ULACH IIIA Helmet (black).",
                        DescriptionOverride = "The Highcom Combat Helmet protects the back of the head and ears. Without additional fasteners in black."+"\n <color=yellow>Armor class: 4.",
                        CategoryOverride = ModAPI.FindCategory("TRK"),
                        ThumbnailOverride = ModAPI.LoadSprite("View/ULACH_Icon.png"),
                        AfterSpawn = (Instance) =>
                       {
                         Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ULACH_black.png");
                         ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                         Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                         Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                         Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.03f;
                         armor.stabResistance = 360f;
                         armor.armorPiece = "Head";

                        Instance.FixColliders();
              }
       }
);


          //Ops-Core Fast MT SUPER HIGH CUT Tan Helmet (Fast MT Tan)
           ModAPI.Register(
          new Modification()
         {
          OriginalItem = ModAPI.FindSpawnable("Rod"),
          NameOverride = "Ops-Core Fast MT SUPER HIGH CUT Tan Helmet (Fast MT Tan).",
          DescriptionOverride = "The Ops-Core Fast ballistic helmet is popular with special forces around the world."+"\n <color=yellow>Armor class: 4.",
          CategoryOverride = ModAPI.FindCategory("TRK"),
          ThumbnailOverride = ModAPI.LoadSprite("View/FAST MT_Icon.png"),
          AfterSpawn = (Instance) =>
        {
           Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Tk_Fastispravleno2.png");
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.03f;
            armor.stabResistance = 370f;
            armor.armorPiece = "Head";

            Instance.FixColliders();
          }
     }
);





      //Shoulders
      ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Rod"),
              NameOverride = "Shoulders 6B43 6A.",
              NameToOrderByOverride = "A",
              DescriptionOverride = "Shoulders to 6B43 6A.",
              CategoryOverride = ModAPI.FindCategory("TRK"),
              ThumbnailOverride = ModAPI.LoadSprite("View/Shoulders- 6B43 6A_Icon.png"),
              AfterSpawn = (Instance) =>
              {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rukav2.png");
                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                  armor.stabResistance = 1000f;
                  armor.armorPiece = "UpperArm";
                  armor.armorTier = 3;
                  armor.otherSprite = "Rukav2.png";
                  armor.otherName = "Shoulders 6B43 6A.";
                  armor.otherPiece = "UpperArmFront";
                  armor.otherTier = 3;
                  armor.otherResist = 5f;
                  armor.SpawnOtherParts();
                  Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
      Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                  Instance.FixColliders();
              }
          }
      );

                    //Bottom part to 6B43 6A.
                    ModAPI.Register(
                    new Modification()
                   {
                      OriginalItem = ModAPI.FindSpawnable("Rod"),
                      NameOverride = "Bottom part 6B43 6A.",
                      DescriptionOverride = "Bottom part to 6B43 6A.",
                      CategoryOverride = ModAPI.FindCategory("TRK"),
                      ThumbnailOverride = ModAPI.LoadSprite("View/Lower-6B43 6A_Icon.png"),
                      AfterSpawn = (Instance) =>
                     {
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bottom_with_napashnik.png");
                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                       Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                       Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                       Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.03f;
                       armor.stabResistance = 1200f;
                       armor.armorPiece = "LowerBody";

                      Instance.FixColliders();
            }
     }
);

                    //Bulletproof vest6B43 6A
                    ModAPI.Register(
                        new Modification()
                        {
                            OriginalItem = ModAPI.FindSpawnable("Rod"),
                            NameOverride = "Bulletproof vest 6B43 6A",
                            NameToOrderByOverride = "6A",
                            DescriptionOverride = "Bullet-proof vest 6B43 6A class of armor protection is designed to protect against bullets from bullets of small arms.",
                            CategoryOverride = ModAPI.FindCategory("TRK"),
                            ThumbnailOverride = ModAPI.LoadSprite("View/TOP and MIDDLE- 6B43 6A_Icon.png"),
                            AfterSpawn = (Instance) =>
                            {
                                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Top.png");
                                ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                armor.stabResistance = 1700f;
                                armor.armorPiece = "UpperBody";
                                armor.armorTier = 3;
                                armor.otherName = "Bulletproof vest 6B43 6A";
                                armor.otherSprite = "Middle2.png";
                                armor.otherPiece = "MiddleBody";
                                armor.otherTier = 3;
                                armor.otherResist = 1700f;
                                armor.SpawnOtherParts();

                                Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                                Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                                Instance.FixColliders();
                            }
                        }
                    );


//kIRASA
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Bullet-proof vest BNTI Cuirass-N (Cuirass-N)",
        NameToOrderByOverride = "A",
        DescriptionOverride = "The bullet-proof vest (Cuirass N) is superficial but intended for equipping the personnel of special forces of the army and police."+"\n <color=green>Armor class: 3",
        CategoryOverride = ModAPI.FindCategory("TRK"),
        ThumbnailOverride = ModAPI.LoadSprite("View/Kirasa_Icon.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Ktop.png");
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 130f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 2;
            armor.otherSprite = "Kmid.png";
            armor.otherName = "Bullet-proof vest BNTI Cuirass-N (Cuirass-N)";
            armor.otherPiece = "MiddleBody";
            armor.otherTier = 2;
            armor.otherResist = 130f;
            armor.SpawnOtherParts();

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

//Bullet-proof vest 5.11 Hexgrid plate carrier
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Bullet-proof vest 5.11 Hexgrid plate carrier",
        NameToOrderByOverride = "A",
        DescriptionOverride = "Cover for armor plates of the firm 5.11, intended for joint use with chest unloading systems."+"\n <color=red>Armor class: 6",
        CategoryOverride = ModAPI.FindCategory("TRK"),
        ThumbnailOverride = ModAPI.LoadSprite("View/5.11_Icon.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("5.11(Top).png");
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 1700f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 3;
            armor.otherSprite = "5.11(Mid).png";
            armor.otherName = "Bullet-proof vest 5.11 Hexgrid plate carrier";
            armor.otherPiece = "MiddleBody";
            armor.otherTier = 3;
            armor.otherResist = 1700f;
            armor.SpawnOtherParts();

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

                    //BNTI KORUND
                    ModAPI.Register(
                    new Modification()
                   {
                     OriginalItem = ModAPI.FindSpawnable("Rod"),
                     NameOverride = "Bullet-proof vest BNTI Korund-VM",
                     NameToOrderByOverride = "A",
                     DescriptionOverride = "Long-wearing bulletproof vest Korund-VM, adopted by the ranks of the employees of the Ministry of Internal Affairs of Russia. Provides increased protection against bullets and shrapnel according to the fifth class of GOST."+"\n <color=orange>Armor class: 5",
                     CategoryOverride = ModAPI.FindCategory("TRK"),
                     ThumbnailOverride = ModAPI.LoadSprite("View/KORUND-Middle&Top_Icon.png"),
                      AfterSpawn = (Instance) =>
                    {
                       Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Top_repare.png");
                       ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                       armor.stabResistance = 1300f;
                       armor.armorPiece = "UpperBody";
                       armor.armorTier = 3;
                       armor.otherSprite = "middle_repare.png";
                       armor.otherName = "Bullet-proof vest BNTI Korund-VM";
                       armor.otherPiece = "MiddleBody";
                       armor.otherTier = 3;
                       armor.otherResist = 1300f;
                       armor.SpawnOtherParts();

                       Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                       Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                       Instance.FixColliders();
                     }
               }
        );

                        //BOTOM BNTI KORUND
                        ModAPI.Register(
                        new Modification()
                       {
                          OriginalItem = ModAPI.FindSpawnable("Rod"),
                          NameOverride = "Botom BNTI Korund-VM",
                          NameToOrderByOverride = "A",
                          DescriptionOverride = "Botom part to BNTI Korund-VM.",
                          CategoryOverride = ModAPI.FindCategory("TRK"),
                          ThumbnailOverride = ModAPI.LoadSprite("View/KORUND-Bottom_Icon.png"),
                          AfterSpawn = (Instance) =>
                         {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Bottom_with_napashnik_repare.png");
                            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                            armor.stabResistance = 1300f;
                            armor.armorPiece = "LowerBody";
                            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                            Instance.FixColliders();
                        }
                  }
             );




//PACA
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Bullet-proof vest PACA Soft Armor.",
        NameToOrderByOverride = "A",
        DescriptionOverride = "Light armor that protects only vital parts of the body, but very reliable, with armor plates of the 2nd class of protection.",
        CategoryOverride = ModAPI.FindCategory("TRK"),
        ThumbnailOverride = ModAPI.LoadSprite("View/PACA_Icon.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PACA(Top).png");
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 75f;
            armor.armorPiece = "UpperBody";
            armor.armorTier = 1;
            armor.otherSprite = "PACA(Mid).png";
            armor.otherName = "Bullet-proof vest PACA Soft Armor.";
            armor.otherPiece = "MiddleBody";
            armor.otherTier = 1;
            armor.otherResist = 75f;
            armor.SpawnOtherParts();

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);





           //ak-74
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("AK-47"),
                  NameOverride = "AK-74M",
                  NameToOrderByOverride = "AK-74",
                  DescriptionOverride = "Kalashnikov 5.45 mm modernized assault rifle equipped with a side-folding shoulder stock and a side mount for optical and night scopes.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/AK-74M_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/ak-74.png", 2.3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                      customCartridge.name = "5.56x45mm";
                      customCartridge.Damage *= 65;
                      customCartridge.StartSpeed *= 1f;
                      customCartridge.Recoil *= 1.10f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Ak-74.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );

          //MP-153
         ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "MP-153",
                 NameToOrderByOverride = "MP-153",
                 DescriptionOverride = "MP-153 smoothbore multiply shotgun, manufactured by IzhMekh. Reliable and handy weapon for hunting and self-defense.",
                 CategoryOverride = ModAPI.FindCategory("TRK"),
                 ThumbnailOverride = ModAPI.LoadSprite("View/MP-153_Icon.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/mp-153.png", 1.9f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     firearm.ShotSounds = new AudioClip[]
                     {
                         ModAPI.LoadSound("sound/MP-153(2).mp3")
                     };
                     Instance.FixColliders();
                 }
             }
         );

          //aks-74u
         ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("AK-47"),
                 NameOverride = "AKS-74U",
                 NameToOrderByOverride = "AKS-74U",
                 DescriptionOverride = "A shortened version of the AKS-74 assault rifle, was developed in the early 80s for arming the crews of military equipment and paratroopers. It is also popular in law enforcement agencies and special forces for its compact size.",
                 CategoryOverride = ModAPI.FindCategory("TRK"),
                 ThumbnailOverride = ModAPI.LoadSprite("View/AKSU_Icon.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/Aks74u.png", 2.3f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Damage *= 60;
                     customCartridge.StartSpeed *= 7f;
                     customCartridge.Recoil *= 1.20f;
                     firearm.Cartridge = customCartridge;
                     firearm.ShotSounds = new AudioClip[]
                     {
                         ModAPI.LoadSound("sound/Aks74u_Shot.mp3")
                     };
                     Instance.FixColliders();
                 }
             }
         );

         //ak-74
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("AK-47"),
                NameOverride = "AK-74M",
                NameToOrderByOverride = "AK-74",
                DescriptionOverride = "Kalashnikov 5.45 mm modernized assault rifle equipped with a side-folding shoulder stock and a side mount for optical and night scopes.",
                CategoryOverride = ModAPI.FindCategory("TRK"),
                ThumbnailOverride = ModAPI.LoadSprite("View/ak-74greyscopetactic_hiltIcon.png", 5f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/ak-74greyscopetactic_hilt.png", 2.3f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                    customCartridge.name = "5.56x45mm";
                    customCartridge.Damage *= 65;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.Recoil *= 1.10f;
                    firearm.Cartridge = customCartridge;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("sound/Ak-74.mp3")
                    };
                    Instance.FixColliders();
                }
            }
        );

          //HK-416
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                  NameOverride = "HK416(with silencer)",
                  NameToOrderByOverride = "HK416",
                  DescriptionOverride = "The HK416 A5 is a further development of the HK416 assault rifle in 5.56 x 45 mm NATO calibre. The most striking changes compared to its previous versions as well as to market available AR platforms include an improved and tool-less gas regulator for suppressor use, a redesigned, user-friendly lower receiver, which allows complete ambidextrous operation of the weapon and ensures optimised magazine compatibility, as well as numerous technical improvements to maximize the operator safety, reliability, ammunition compatibility and durability under real operating conditions.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/HK416(Silens)_ICon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/HK416.png", 3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                      customCartridge.name = "5.56mm";
                      customCartridge.Damage *= 90;
                      customCartridge.StartSpeed *= 2f;
                      customCartridge.Recoil *= 1.3f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Hk416Silens.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );

          //HK-416
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                  NameOverride = "HK416(with DTK)",
                  NameToOrderByOverride = "HK416",
                  DescriptionOverride = "The HK416 A5 is a further development of the HK416 assault rifle in 5.56 x 45 mm NATO calibre. The most striking changes compared to its previous versions as well as to market available AR platforms include an improved and tool-less gas regulator for suppressor use, a redesigned, user-friendly lower receiver, which allows complete ambidextrous operation of the weapon and ensures optimised magazine compatibility, as well as numerous technical improvements to maximize the operator safety, reliability, ammunition compatibility and durability under real operating conditions.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/HK416_ICon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/HK416(Not silens).png", 3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                      customCartridge.name = "5.56mm";
                      customCartridge.Damage *= 90;
                      customCartridge.StartSpeed *= 2f;
                      customCartridge.Recoil *= 1.3f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Hk416.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );

          //HK-416
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                  NameOverride = "HK416HK416(DTK + tactical grip)",
                  NameToOrderByOverride = "HK416",
                  DescriptionOverride = "The HK416 A5 is a further development of the HK416 assault rifle in 5.56 x 45 mm NATO calibre. The most striking changes compared to its previous versions as well as to market available AR platforms include an improved and tool-less gas regulator for suppressor use, a redesigned, user-friendly lower receiver, which allows complete ambidextrous operation of the weapon and ensures optimised magazine compatibility, as well as numerous technical improvements to maximize the operator safety, reliability, ammunition compatibility and durability under real operating conditions.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/HK416+RUKOAT_ICon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/HK416(Not silens + Rukoat).png", 3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                      customCartridge.name = "5.56mm";
                      customCartridge.Damage *= 90;
                      customCartridge.StartSpeed *= 2f;
                      customCartridge.Recoil *= 1.3f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Hk416.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );


          //DVL-10
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                  NameOverride = "DVL-10 (with 8x scope and flame arrester).",
                  NameToOrderByOverride = "DVL-10",
                  DescriptionOverride = "DVL-10 is a lightweight, compact,  rifle in proprietary and current military subsonic calibers and has been developed for special service and combat missions where exceptional accuracy and range are needed. Equipped with a standard Lobaev foldable butt-stock and Lobaev Hummer Barrels stainless steel match-grade barrel.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/DVL-10 Saboteur sniper rifle(with 8x scope and flame arrester)_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/DVL-10 Saboteur sniper rifle(with 8x scope and flame arrester).png", 2.2f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
                      customCartridge.name = "50 BMG";
                      customCartridge.Damage *= 150;
                      customCartridge.StartSpeed *= 23f;
                      customCartridge.Recoil *= 1.2f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/DVL-10 Shot.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );


          //DVL-10
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                  NameOverride = "DVL-10",
                  NameToOrderByOverride = "DVL-10",
                  DescriptionOverride = "DVL-10 is a lightweight, compact,  rifle in proprietary and current military subsonic calibers and has been developed for special service and combat missions where exceptional accuracy and range are needed. Equipped with a standard Lobaev foldable butt-stock and Lobaev Hummer Barrels stainless steel match-grade barrel.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/DVL-10 Saboteur sniper rifle_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/DVL-10 Saboteur sniper rifle.png", 2.2f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
                      customCartridge.name = "50 BMG";
                      customCartridge.Damage *= 150;
                      customCartridge.StartSpeed *= 20f;
                      customCartridge.Recoil *= 1.5f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/DVL-10 Shot.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );


          //DVL-10
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                  NameOverride = "DVL-10 (with 8x scope and silencer)",
                  NameToOrderByOverride = "DVL-10",
                  DescriptionOverride = "DVL-10 is a lightweight, compact, and silenced rifle in proprietary and current military subsonic calibers and has been developed for special service and combat missions where exceptional accuracy and range are needed. Equipped with a standard Lobaev foldable butt-stock and Lobaev Hummer Barrels stainless steel match-grade barrel.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/DVL-10 Saboteur sniper rifle(with 8x scope and silencer)_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/DVL-10 Saboteur sniper rifle(with 8x scope and silencer).png", 2.2f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("50 BMG");
                      customCartridge.name = "50 BMG";
                      customCartridge.Damage *= 150;
                      customCartridge.StartSpeed *= 21f;
                      customCartridge.Recoil *= 1.3f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/DVL-10 Shot2.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );

          //SV-98
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                  NameOverride = "SV-98",
                  NameToOrderByOverride = "SV-98.",
                  DescriptionOverride = "V-98 is a Russian sniper rifle developed in 1998-2000 by a group of weapon engineers led by V.Stronskly. Serially produced by IzhMash group. It is a magazine-fed bolt-action rifle, designed to engage military personnel at distances of up to 1000 m.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/SV_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/SV-98_bolt-action_sniper_rifle.png", 2.2f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
                      customCartridge.name = "50 AE";
                      customCartridge.Damage *= 65;
                      customCartridge.StartSpeed *= 25f;
                      customCartridge.Recoil *= 1f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/SV-98_Shot.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );

          //Val
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("AK-47"),
                  NameOverride = "AS-VaL",
                  NameToOrderByOverride = "AS-VAL",
                  DescriptionOverride = "AS VAL (Avtomat Specialniy, Special Automatic Rifle) - silenced automatic rifle with integral suppressor designed for special forces units. Developed in TSNIITochMash on the VSS Vintorez platform.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/AS-VAL1_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/AS-VAL1.png", 3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                      customCartridge.name = "62x39mm";
                      customCartridge.Damage *= 45;
                      customCartridge.StartSpeed *= 3.2f;
                      customCartridge.Recoil *= 0.2f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Asval_Shot.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );


          //AS-VALscope
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("AK-47"),
                  NameOverride = "AS-VAL (Scope)",
                  NameToOrderByOverride = "AS-VAL",
                  DescriptionOverride = "AS VAL (Avtomat Specialniy, Special Automatic Rifle) - silenced automatic rifle with integral suppressor designed for special forces units. Developed in TSNIITochMash on the VSS Vintorez platform.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/AS-VAL2_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/AS-VAL2.png", 3f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                      customCartridge.name = "62x39mm";
                      customCartridge.Damage *= 45;
                      customCartridge.StartSpeed *= 3.2f;
                      customCartridge.Recoil *= 0.2f;
                      firearm.Cartridge = customCartridge;
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/Asval_Shot.mp3")
                      };
                      Instance.FixColliders();
                  }
              }
          );


          //6h5 Bayonet
            ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Knife"),
                  NameOverride = "6h5 Bayonet",
                  NameToOrderByOverride = "BT",
                  DescriptionOverride = "The so-called item 6H5 is a knife bayonet adopted in 1989 as a standard issue for use with AK74.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/6h5_BayonetIcon.png", 5f),
                  AfterSpawn = (generatorInstance) =>
                  {
                    generatorInstance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/6h5_Bayonet.png", 7f);
                  }
              }
          );

          //APS
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Pistol"),
                  NameOverride = "APS",
                  NameToOrderByOverride = "APS",
                  DescriptionOverride = "The Stechkin automatic pistol or APS is a Soviet selective fire machine pistol. It bears the name of its developer, Igor Stechkin.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/APS_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/APS.png", 7f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                      customCartridge.name = "9mm Stechkin";
                      customCartridge.Damage *= 7;
                      customCartridge.StartSpeed *= 7f;
                      customCartridge.Recoil *= 3.5f;
                      firearm.Cartridge = customCartridge;
                      Instance.FixColliders();
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/APS_Shot.mp3")
                      };
                          Instance.FixColliders();
                  }
              }
          );

          //TT-33
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Pistol"),
                  NameOverride = "TT-33",
                  NameToOrderByOverride = "TT",
                  DescriptionOverride = "A legendary pistol that has gone through more than one military conflict and is still fighting in certain parts of our planet, in one form or another. This sample is a classic TT-33.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/TT-33_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/Tt.png", 4f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("7.62×25mm");
                      customCartridge.name = "7.62×25mm TT";
                      customCartridge.Damage *= 25;
                      customCartridge.StartSpeed *= 10f;
                      customCartridge.Recoil *= 3.2f;
                      firearm.Cartridge = customCartridge;
                      Instance.FixColliders();
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/TT-33.mp3")
                      };
                          Instance.FixColliders();
                  }
              }
          );

          //SKS
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                  NameOverride = "SKS",
                  NameToOrderByOverride = "SKS",
                  DescriptionOverride = "Soviet semi-automatic carbine designed by Sergei Simonov for 7.62x39 cartridge and known abroad as SKS-45. Immensely popular both in CIS countries and in the West, this weapon is still in active service in some countries in form of various copies and modifications. This particular specimen comes from extended storage warehouses of Tula Arms Plant and haven't yet undergone the civilian weapon normalization procedure.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/SKS_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/SKS.png", 1.9f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("30-06 Springfield");
                      customCartridge.name = "30-06 Springfield";
                      customCartridge.Damage *= 70;
                      customCartridge.StartSpeed *= 12f;
                      customCartridge.Recoil *= 3.7f;
                      firearm.Cartridge = customCartridge;
                      Instance.FixColliders();
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/SKS_Shot.mp3")
                      };
                          Instance.FixColliders();
                  }
              }
          );

          //TT-33_glushak
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Pistol"),
                  NameOverride = "TT-33 (With silencer)",
                  NameToOrderByOverride = "TT",
                  DescriptionOverride = "TT-33 with a silencer.",
                  CategoryOverride = ModAPI.FindCategory("TRK"),
                  ThumbnailOverride = ModAPI.LoadSprite("View/TT-33(s)_Icon.png", 5f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/TT_with_silencer.png", 4f);
                      var firearm = Instance.GetComponent<FirearmBehaviour>();
                      Cartridge customCartridge = ModAPI.FindCartridge("7.62×25mm");
                      customCartridge.name = "7.62×25mm TT";
                      customCartridge.Damage *= 25;
                      customCartridge.StartSpeed *= 10f;
                      customCartridge.Recoil *= 3f;
                      firearm.Cartridge = customCartridge;
                      Instance.FixColliders();
                      firearm.ShotSounds = new AudioClip[]
                      {
                          ModAPI.LoadSound("sound/TT-33_Sil.mp3")
                      };
                          Instance.FixColliders();
                  }
              }
          );


          //F1
          ModAPI.Register(
          new Modification()
         {
      OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
      NameOverride = "Grenade F1",
      DescriptionOverride = "F-1 hand grenade (GRAU Index 57-Г-721) is an anti-personnel fragmentation defensive grenade, designed for neutralizing enemy personnel in the defensive combat. Due to significant effective fragmentation radius it can only be thrown from behind the cover, APC or tank.",
      CategoryOverride = ModAPI.FindCategory("TRK"),
      ThumbnailOverride = ModAPI.LoadSprite("View/F1_ICon.png"),
      AfterSpawn = (Instance) =>
      {
          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/grenade(F1).png", 4f);
          Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 150f;
          Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 0.8f;
          Instance.GetComponent<ExplosiveBehaviour>().Range = 3.8f;
          Instance.GetComponent<ExplosiveBehaviour>().Delay = 3f;
          Instance.FixColliders();
         }
     }
);

                  //RGD-5
                 ModAPI.Register(
                 new Modification()
               {
                 OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                 NameOverride = "Grenade RGD-5",
                 DescriptionOverride = "A ground explosive.(Spawn underground for best effect.)",
                 CategoryOverride = ModAPI.FindCategory("TRK"),
                 ThumbnailOverride = ModAPI.LoadSprite("View/RGD_Icon.png"),
                 AfterSpawn = (Instance) =>
                {
                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Texture/RGD-5.png", 9f);
                  Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 100f;
                  Instance.GetComponent<ExplosiveBehaviour>().FragmentForce = 0.75f;
                  Instance.GetComponent<ExplosiveBehaviour>().Range = 3.7f;
                  Instance.FixColliders();
                 }
              }
          );


//Savage
ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
    NameOverride = "Savage(1)", //new item name with a suffix to assure it is globally unique
    DescriptionOverride = ""+"\n <color=red>Against the backdrop of constant hostilities, panic broke out in the city: the population was fleeing, and those who remained were seeking to profit at someone else's expense. Taking the new realities for granted and straying into well-armed groups, the (savage) residents of Tarkov set about dividing the city. Today, the whole of Tarkov is delimited by invisible lines, behind which the territories of one gang or another stretch: ready to do anything for the sake of profit, they do not stop either at killing civilians or at a confrontation with two private military companies.", //new item description
    CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
    ThumbnailOverride = ModAPI.LoadSprite("View/Wild2_Icon.png"), //new item thumbnail (relative path)
    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
    {
        //load textures for each layer (see Human textures folder in this repository)
        var skin = ModAPI.LoadTexture("Texture/dikiy(remake).png");
        var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
        var bone = ModAPI.LoadTexture("Texture/bone layer.png");

        var person = Instance.GetComponent<PersonBehaviour>();

        var head = Instance.transform.Find("Head");
        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
        var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
        var upper = Instance.transform.Find("Body").Find("UpperBody");

        foreach (var body in person.Limbs)
        {
            body.BaseStrength += 4f;
            body.Health *= 3f;
            body.InitialHealth *= 3f;
            body.ShotDamageMultiplier *= 0.2f;
            body.BreakingThreshold += 12f;
            body.RegenerationSpeed += 18f;
            body.Vitality *= 30f;
            body.ImpactPainMultiplier *= 0.2f;
            body.Numbness *= 1f;
            body.CirculationBehaviour.BloodFlow *= 20f;
            body.IsLethalToBreak = false;
            body.gameObject.AddComponent<DG>();

        }

        //use the helper function to set each texture
        //parameters are as follows:
        //  skin texture, flesh texture, bone texture, sprite scale
        //you can pass "null" to fall back to the original texture
        person.SetBodyTextures(skin, flesh, bone, 1);
        person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
        person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
        person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
        }
     }
 );

 //kilA
 ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
     NameOverride = "KILLA", //new item name with a suffix to assure it is globally unique
     DescriptionOverride = ""+"\n <color=red>Killa uses a light machine gun or other automatic weapon to suppress the enemy, while lurking from cover to cover, getting closer to his target for the final push. During the assault he moves in a zig-zag pattern, uses smoke and fragmentation grenades, and relentlessly suppresses enemies with automatic fire. He will follow his target large distances out of his patrol route.", //new item description
     CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
     ThumbnailOverride = ModAPI.LoadSprite("View/KILLA_Icon.png"), //new item thumbnail (relative path)
     AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
     {
         //load textures for each layer (see Human textures folder in this repository)
         var skin = ModAPI.LoadTexture("Texture/Killa.png");
         var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
         var bone = ModAPI.LoadTexture("Texture/bone layer.png");

         var person = Instance.GetComponent<PersonBehaviour>();

         var head = Instance.transform.Find("Head");
         var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
         var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
         var upper = Instance.transform.Find("Body").Find("UpperBody");

         foreach (var body in person.Limbs)
         {
             body.BaseStrength += 4f;
             body.Health *= 6f;
             body.InitialHealth *= 6f;
             body.ShotDamageMultiplier *= 0.2f;
             body.BreakingThreshold += 18f;
             body.RegenerationSpeed += 18f;
             body.Vitality *= 30f;
             body.ImpactPainMultiplier *= 0.2f;
             body.Numbness *= 1f;
             body.CirculationBehaviour.BloodFlow *= 25f;
             body.IsLethalToBreak = false;
             body.gameObject.AddComponent<DG>();

         }

         //use the helper function to set each texture
         //parameters are as follows:
         //  skin texture, flesh texture, bone texture, sprite scale
         //you can pass "null" to fall back to the original texture
         person.SetBodyTextures(skin, flesh, bone, 1);
         person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
         person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
         person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
         person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
         person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
         }
      }
  );

  //Reshala
  ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
      NameOverride = "Reshala", //new item name with a suffix to assure it is globally unique
      DescriptionOverride = ""+"\n <color=red>By itself, the Decider is not a fighter, so he relies on his retinue, which will represent the main danger in battle. She decided to retreat at the first opportunity, leaving the subordinates to deal with the PMCs.", //new item description
      CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
      ThumbnailOverride = ModAPI.LoadSprite("View/Reshala_Icon.png"), //new item thumbnail (relative path)
      AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
      {
          //load textures for each layer (see Human textures folder in this repository)
          var skin = ModAPI.LoadTexture("Texture/Reshala.png");
          var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
          var bone = ModAPI.LoadTexture("Texture/bone layer.png");

          var person = Instance.GetComponent<PersonBehaviour>();

          var head = Instance.transform.Find("Head");
          var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
          var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
          var upper = Instance.transform.Find("Body").Find("UpperBody");

          foreach (var body in person.Limbs)
          {
              body.BaseStrength += 4f;
              body.Health *= 6f;
              body.InitialHealth *= 6f;
              body.ShotDamageMultiplier *= 0.2f;
              body.BreakingThreshold += 18f;
              body.RegenerationSpeed += 18f;
              body.Vitality *= 30f;
              body.ImpactPainMultiplier *= 0.2f;
              body.Numbness *= 1f;
              body.CirculationBehaviour.BloodFlow *= 25f;
              body.IsLethalToBreak = false;
              body.gameObject.AddComponent<DG>();

          }

          //use the helper function to set each texture
          //parameters are as follows:
          //  skin texture, flesh texture, bone texture, sprite scale
          //you can pass "null" to fall back to the original texture
          person.SetBodyTextures(skin, flesh, bone, 1);
          person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
          person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
          person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
          person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
          person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
          }
       }
   );



  //Savage3
  ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
      NameOverride = "Savage(3)", //new item name with a suffix to assure it is globally unique
      DescriptionOverride = ""+"\n <color=red>Against the backdrop of constant hostilities, panic broke out in the city: the population was fleeing, and those who remained were seeking to profit at someone else's expense. Taking the new realities for granted and straying into well-armed groups, the (savage) residents of Tarkov set about dividing the city. Today, the whole of Tarkov is delimited by invisible lines, behind which the territories of one gang or another stretch: ready to do anything for the sake of profit, they do not stop either at killing civilians or at a confrontation with two private military companies.", //new item description
      CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
      ThumbnailOverride = ModAPI.LoadSprite("View/Wild3_Icon.png"), //new item thumbnail (relative path)
      AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
      {
          //load textures for each layer (see Human textures folder in this repository)
          var skin = ModAPI.LoadTexture("Texture/as2.png");
          var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
          var bone = ModAPI.LoadTexture("Texture/bone layer.png");

          var person = Instance.GetComponent<PersonBehaviour>();

          var head = Instance.transform.Find("Head");
          var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
          var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
          var upper = Instance.transform.Find("Body").Find("UpperBody");

          foreach (var body in person.Limbs)
          {
              body.BaseStrength += 4f;
              body.Health *= 3f;
              body.InitialHealth *= 3f;
              body.ShotDamageMultiplier *= 0.2f;
              body.BreakingThreshold += 12f;
              body.RegenerationSpeed += 18f;
              body.Vitality *= 30f;
              body.ImpactPainMultiplier *= 0.2f;
              body.Numbness *= 1f;
              body.CirculationBehaviour.BloodFlow *= 20f;
              body.IsLethalToBreak = false;
              body.gameObject.AddComponent<DG>();

          }

          //use the helper function to set each texture
          //parameters are as follows:
          //  skin texture, flesh texture, bone texture, sprite scale
          //you can pass "null" to fall back to the original texture
          person.SetBodyTextures(skin, flesh, bone, 1);
          person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
          person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
          person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
          person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
          person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
          }
       }
   );

 //CHVK 3
 ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
     NameOverride = "PMC(2)", //new item name with a suffix to assure it is globally unique
     DescriptionOverride = ""+"\n <color=green>The BEAR mercenary, rumored to have been created on a direct order from the Russian government, works for the official structures of the Norvinsk region and is looking for any evidence of the illegal actions of the Terra Group.", //new item description
     CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
     ThumbnailOverride = ModAPI.LoadSprite("View/PMC2_Icon.png"), //new item thumbnail (relative path)
     AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
     {
         //load textures for each layer (see Human textures folder in this repository)
         var skin = ModAPI.LoadTexture("Texture/CHVK3.png");
         var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
         var bone = ModAPI.LoadTexture("Texture/bone layer.png");

         var person = Instance.GetComponent<PersonBehaviour>();

         var head = Instance.transform.Find("Head");
         var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
         var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
         var upper = Instance.transform.Find("Body").Find("UpperBody");

         foreach (var body in person.Limbs)
         {
             body.BaseStrength += 4f;
             body.Health *= 2.8f;
             body.InitialHealth *= 2.4f;
             body.ShotDamageMultiplier *= 0.2f;
             body.BreakingThreshold += 12f;
             body.RegenerationSpeed += 18f;
             body.Vitality *= 30f;
             body.ImpactPainMultiplier *= 0.2f;
             body.Numbness *= 1f;
             body.CirculationBehaviour.BloodFlow *= 20f;
             body.IsLethalToBreak = false;
             body.gameObject.AddComponent<DG>();

         }

         //use the helper function to set each texture
         //parameters are as follows:
         //  skin texture, flesh texture, bone texture, sprite scale
         //you can pass "null" to fall back to the original texture
         person.SetBodyTextures(skin, flesh, bone, 1);
         person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
         person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
         person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
         person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
         person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
         }
      }
  );

  //CHVK 3
  ModAPI.Register(
  new Modification()
  {
      OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
      NameOverride = "PMC(4)", //new item name with a suffix to assure it is globally unique
      DescriptionOverride = ""+"\n <color=green>The BEAR mercenary, rumored to have been created on a direct order from the Russian government, works for the official structures of the Norvinsk region and is looking for any evidence of the illegal actions of the Terra Group.", //new item description
      CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
      ThumbnailOverride = ModAPI.LoadSprite("View/PMc(BDB)_Icon.png"), //new item thumbnail (relative path)
      AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
      {
          //load textures for each layer (see Human textures folder in this repository)
          var skin = ModAPI.LoadTexture("Texture/PMc (BDB).png");
          var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
          var bone = ModAPI.LoadTexture("Texture/bone layer.png");

          var person = Instance.GetComponent<PersonBehaviour>();

          var head = Instance.transform.Find("Head");
          var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
          var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
          var upper = Instance.transform.Find("Body").Find("UpperBody");

          foreach (var body in person.Limbs)
          {
              body.BaseStrength += 4f;
              body.Health *= 2.8f;
              body.InitialHealth *= 2.4f;
              body.ShotDamageMultiplier *= 0.2f;
              body.BreakingThreshold += 12f;
              body.RegenerationSpeed += 18f;
              body.Vitality *= 30f;
              body.ImpactPainMultiplier *= 0.2f;
              body.Numbness *= 1f;
              body.CirculationBehaviour.BloodFlow *= 20f;
              body.IsLethalToBreak = false;
              body.gameObject.AddComponent<DG>();

          }

          //use the helper function to set each texture
          //parameters are as follows:
          //  skin texture, flesh texture, bone texture, sprite scale
          //you can pass "null" to fall back to the original texture
          person.SetBodyTextures(skin, flesh, bone, 1);
          person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
          person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
          person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
          person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
          person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
          }
       }
   );

   //CHVK 3
   ModAPI.Register(
   new Modification()
   {
       OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
       NameOverride = "PMC(3)", //new item name with a suffix to assure it is globally unique
       DescriptionOverride = ""+"\n <color=green>The BEAR mercenary, rumored to have been created on a direct order from the Russian government, works for the official structures of the Norvinsk region and is looking for any evidence of the illegal actions of the Terra Group.", //new item description
       CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
       ThumbnailOverride = ModAPI.LoadSprite("View/Pmc(4)_Icon.png"), //new item thumbnail (relative path)
       AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
       {
           //load textures for each layer (see Human textures folder in this repository)
           var skin = ModAPI.LoadTexture("Texture/PMcConcept2.png");
           var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
           var bone = ModAPI.LoadTexture("Texture/bone layer.png");

           var person = Instance.GetComponent<PersonBehaviour>();

           var head = Instance.transform.Find("Head");
           var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
           var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
           var upper = Instance.transform.Find("Body").Find("UpperBody");

           foreach (var body in person.Limbs)
           {
               body.BaseStrength += 4f;
               body.Health *= 2.8f;
               body.InitialHealth *= 2.4f;
               body.ShotDamageMultiplier *= 0.2f;
               body.BreakingThreshold += 12f;
               body.RegenerationSpeed += 18f;
               body.Vitality *= 30f;
               body.ImpactPainMultiplier *= 0.2f;
               body.Numbness *= 1f;
               body.CirculationBehaviour.BloodFlow *= 20f;
               body.IsLethalToBreak = false;
               body.gameObject.AddComponent<DG>();

           }

           //use the helper function to set each texture
           //parameters are as follows:
           //  skin texture, flesh texture, bone texture, sprite scale
           //you can pass "null" to fall back to the original texture
           person.SetBodyTextures(skin, flesh, bone, 1);
           person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
           person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
           person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
           person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
           person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
           }
        }
    );


//CHVK 2
ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
    NameOverride = "PMC(with bandana)", //new item name with a suffix to assure it is globally unique
    DescriptionOverride = ""+"\n <color=green>The BEAR mercenary, rumored to have been created on a direct order from the Russian government, works for the official structures of the Norvinsk region and is looking for any evidence of the illegal actions of the Terra Group.", //new item description
    CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
    ThumbnailOverride = ModAPI.LoadSprite("View/PMC3_Icon.png"), //new item thumbnail (relative path)
    AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
    {
        //load textures for each layer (see Human textures folder in this repository)
        var skin = ModAPI.LoadTexture("Texture/CHVK2.png");
        var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
        var bone = ModAPI.LoadTexture("Texture/bone layer.png");

        var person = Instance.GetComponent<PersonBehaviour>();

        var head = Instance.transform.Find("Head");
        var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
        var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
        var upper = Instance.transform.Find("Body").Find("UpperBody");

        foreach (var body in person.Limbs)
        {
            body.BaseStrength += 4f;
            body.Health *= 2.8f;
            body.InitialHealth *= 2.4f;
            body.ShotDamageMultiplier *= 0.2f;
            body.BreakingThreshold += 12f;
            body.RegenerationSpeed += 18f;
            body.Vitality *= 30f;
            body.ImpactPainMultiplier *= 0.2f;
            body.Numbness *= 1f;
            body.CirculationBehaviour.BloodFlow *= 20f;
            body.IsLethalToBreak = false;
            body.gameObject.AddComponent<DG>();

        }

        //use the helper function to set each texture
        //parameters are as follows:
        //  skin texture, flesh texture, bone texture, sprite scale
        //you can pass "null" to fall back to the original texture
        person.SetBodyTextures(skin, flesh, bone, 1);
        person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
        person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
        person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
        person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
        person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
        }
     }
 );

 //Savage WITH BANDANA
 ModAPI.Register(
 new Modification()
 {
     OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
     NameOverride = "Savage(bandana)", //new item name with a suffix to assure it is globally unique
     DescriptionOverride = ""+"\n <color=red>Against the backdrop of constant hostilities, panic broke out in the city: the population was fleeing, and those who remained were seeking to profit at someone else's expense. Taking the new realities for granted and straying into well-armed groups, the (savage) residents of Tarkov set about dividing the city. Today, the whole of Tarkov is delimited by invisible lines, behind which the territories of one gang or another stretch: ready to do anything for the sake of profit, they do not stop either at killing civilians or at a confrontation with two private military companies.", //new item description
     CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
     ThumbnailOverride = ModAPI.LoadSprite("View/Wild_Icon.png"), //new item thumbnail (relative path)
     AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
     {
         //load textures for each layer (see Human textures folder in this repository)
         var skin = ModAPI.LoadTexture("Texture/dikiyreweake.png");
         var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
         var bone = ModAPI.LoadTexture("Texture/bone layer.png");

         var person = Instance.GetComponent<PersonBehaviour>();

         var head = Instance.transform.Find("Head");
         var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
         var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
         var upper = Instance.transform.Find("Body").Find("UpperBody");

         foreach (var body in person.Limbs)
         {
             body.BaseStrength += 4f;
             body.Health *= 3f;
             body.InitialHealth *= 3f;
             body.ShotDamageMultiplier *= 0.2f;
             body.BreakingThreshold += 12f;
             body.RegenerationSpeed += 18f;
             body.Vitality *= 30f;
             body.ImpactPainMultiplier *= 0.2f;
             body.Numbness *= 1f;
             body.CirculationBehaviour.BloodFlow *= 20f;
             body.IsLethalToBreak = false;
             body.gameObject.AddComponent<DG>();

         }

         //use the helper function to set each texture
         //parameters are as follows:
         //  skin texture, flesh texture, bone texture, sprite scale
         //you can pass "null" to fall back to the original texture
         person.SetBodyTextures(skin, flesh, bone, 1);
         person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
         person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
         person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
         person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
         person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
         }
      }
  );




          //CHVK
          ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
              NameOverride = "PMC", //new item name with a suffix to assure it is globally unique
              DescriptionOverride = ""+"\n <color=green>The BEAR mercenary, rumored to have been created on a direct order from the Russian government, works for the official structures of the Norvinsk region and is looking for any evidence of the illegal actions of the Terra Group.", //new item description
              CategoryOverride = ModAPI.FindCategory("TRK"), //new item category
              ThumbnailOverride = ModAPI.LoadSprite("View/PMC_Icon.png"), //new item thumbnail (relative path)
              AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
              {
                  //load textures for each layer (see Human textures folder in this repository)
                  var skin = ModAPI.LoadTexture("Texture/CHVK1.png");
                  var flesh = ModAPI.LoadTexture("Texture/Cflesh.png");
                  var bone = ModAPI.LoadTexture("Texture/bone layer.png");

                  var person = Instance.GetComponent<PersonBehaviour>();

                  var head = Instance.transform.Find("Head");
                  var arm1 = Instance.transform.Find("FrontArm").Find("LowerArmFront");
                  var arm2 = Instance.transform.Find("BackArm").Find("LowerArm");
                  var upper = Instance.transform.Find("Body").Find("UpperBody");

                  foreach (var body in person.Limbs)
                  {
                      body.BaseStrength += 4f;
                      body.Health *= 2.8f;
                      body.InitialHealth *= 2.4f;
                      body.ShotDamageMultiplier *= 0.2f;
                      body.BreakingThreshold += 12f;
                      body.RegenerationSpeed += 18f;
                      body.Vitality *= 30f;
                      body.ImpactPainMultiplier *= 0.2f;
                      body.Numbness *= 1f;
                      body.CirculationBehaviour.BloodFlow *= 20f;
                      body.IsLethalToBreak = false;
                      body.gameObject.AddComponent<DG>();

                  }

                  //use the helper function to set each texture
                  //parameters are as follows:
                  //  skin texture, flesh texture, bone texture, sprite scale
                  //you can pass "null" to fall back to the original texture
                  person.SetBodyTextures(skin, flesh, bone, 1);
                  person.SetBruiseColor(0, 0, 0); //main bruise colour. purple-ish by default
                  person.SetSecondBruiseColor(178, 34, 34); //second bruise colour. red by default
                  person.SetThirdBruiseColor(0, 0, 0); // third bruise colour. light yellow by default
                  person.SetBloodColour(139, 0, 0); // blood clour. dark red by default
                  person.SetRottenColour(0, 0, 0); // rotten/zombie colour. light yellow/green by default
                  }
               }
           );
        }
    }
}
